uniform sampler1D transfer_tex;
uniform float highlight_alpha;
uniform float global_alpha;

void main() {
	
	vec4 color;
	
	// don't change colors which are not in the list	
	if (gl_Color.b != 1.0) {
		// draw shadows
		color = texture1D(transfer_tex, gl_Color.b);
		color.a = color.a*gl_Color.a*highlight_alpha*global_alpha;
		
		if (gl_Color.b > 0.599)		// item selected
			color.rgb = vec3(1.0, 1.0, 1.0);
		else
			color.rgb = vec3(0.0, 0.0, 0.0);
	}
	else {
		color = texture1D(transfer_tex, gl_Color.r);
		color.a = color.a*gl_Color.a*highlight_alpha*global_alpha;
		color.rgb = gl_Color.g*color.rgb;
	}
	
	gl_FragColor = color;
	
}